%global momorel 11
%global emacsver 22.1
%global xemacsver 21.4.20
%global xemacssumover 2007.04.27
%global apelver 10.7-5m
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages
%global md5sum_src0 a26c34ae610c58bbcd7fe9f060450044

Summary: FLIM - a library to provide basic features about message representation or encoding
Name: elisp-flim
Version: 1.14.8
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
#%%NoSource 0 ftp://ftp.m17n.org/pub/mule/flim/flim-1.14/flim-%{version}.tar.gz a26c34ae610c58bbcd7fe9f060450044
%NoSource 0 http://kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/flim/flim-1.14/flim-%{version}.tar.gz %{md5sum_src0}
URL: http://cvs.m17n.org/elisp/FLIM/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
Requires: emacsen
Obsoletes: elisp-limit

%description
FLIM is a library to provide basic features about message representation
or encoding.

%package -n flim-emacs
Group: Applications/Editors
Summary: FLIM - a library to provide basic features about message representation or encoding - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}
Provides: limit-emacs, slim-emacs
Obsoletes: limit-emacs, slim-emacs

%description -n flim-emacs
FLIM is a library to provide basic features about message representation
or encoding.

%package -n flim-xemacs
Group: Applications/Editors
Summary: FLIM - a library to provide basic features about message representation or encoding - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo >= %{xemacssumover}
Requires: apel-xemacs >= %{apelver}
Provides: limit-xemacs, slim-xemacs
Obsoletes: limit-xemacs, slim-xemacs

%description -n flim-xemacs
FLIM is a library to provide basic features about message representation
or encoding.

%prep
%setup -q -n flim-%{version}

%build
rm -rf %{buildroot}
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp \
  install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS FLIM-API.en README.* VERSION
%doc tests

%files -n flim-emacs
%defattr(-,root,root)
%{e_sitedir}/flim
#%%{_datadir}/emacs/%{emacsver}/site-lisp/flim

%files -n flim-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/flim

%changelog
* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.8-11m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-10m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-9m)
- rebuild against emacs-22.0.96

* Sun Mar 04 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-8m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-7m)
- rebuild against emacs-22.0.94

* Thu Feb 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.8-6m)
- rebuild against apel-10.7

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-5m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-2m)
- rebuild against emacs-22.0.90

* Sat Jul 22 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.14.8-1m)
- update to 1.14.8

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.14.7-5m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.7-4m)
- rebuild against emacs 22.0.50

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.14.7-3m)
- use %%{sitepdir}.

* Sat Jan 29 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.14.7-2m)
- Obsoletes: elisp-limit

* Tue Jan 25 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.14.7-1m)
- replaces elisp-limit
